[package]
name = "yew-wasm-pack-template"
version = "0.2.0"
authors = ["Yew Maintainers <maintainers@yew.rs"]
edition = "2018"

[lib]
crate-type = ["cdylib", "rlib"]

[dependencies]
log = "0.4"
strum = "0.17"
strum_macros = "0.17"
serde = "1"
serde_derive = "1"
wasm-bindgen = "0.2.58"
wasm-logger = "0.2"
wee_alloc = { version = "0.4.4", optional = true }
yew = "0.17"
yew-router = "0.14.0"

[dev-dependencies]
wasm-bindgen-test = "0.3"

[dependencies.web-sys]
version = "0.3.4"
features = [
  'KeyboardEvent',
]
